=head1 NAME

Gtk2::Object

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object


=head1 METHODS

=head2 object = Gtk2::Object-E<gt>B<new> ($object_class, ...)

=over

=over

=item * $object_class (string) package name of object to create

=item * ... (list) of property-name => value pairs

=back

Create a new object of type I<$object_class>, with some optional initial
property values.  You may see this used in some code as Gtk2::Widget->new,
e.g.

 $window = Gtk2::Widget->new ('Gtk2::Window',
                              title => 'something cool',
                              allow_grow => TRUE);

This is really just a convenience function that wraps Glib::Object->new.

=back

=head2 $object-E<gt>B<destroy> 

=over

This is an explicit destroy --- NOT the auto destroy; Gtk2::Object
inherits that from Glib::Object!

=back


=head1 PROPERTIES

=over

=item 'user-data' (gpointer : readable / writable / private)

Anonymous User Data Pointer

=back


=head1 SIGNALS

=over

=item B<destroy> (Gtk2::Object)

=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

